Name:		pg_journal
Version:	0.2.0
Release:	6%{?dist}
Summary:	Module for sending log messages directly to the systemd journal

License:	PostgreSQL
URL:		https://github.com/intgr/pg_journal
Source0:	https://github.com/downloads/intgr/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	postgresql-devel >= 9.2.0-1
BuildRequires:	systemd-devel
Requires:	postgresql >= 9.2.0-1

%description
This is a PostgreSQL preload module for 
sending log messages directly to the systemd journal log.

%prep
%setup -q


%build
# build will pick up whatever compiler flags were used to build PostgreSQL
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
# installed in wrong location
rm %{buildroot}%{_defaultdocdir}/pgsql/contrib/pg_journal.md


%files
%{_libdir}/pgsql/pg_journal.so
%doc doc/pg_journal.md LICENSE


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Sep 13 2013 Tomasz Torcz <ttorcz@fedoraproject.org> - 0.2.0-4
- rebuild for PostgreSQL 9.3 (#1007850)

* Fri Aug 09 2013 Tomasz Torcz <ttorcz@fedoraproject.org> - 0.2.0-3
- include LICENSE file in package

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 17 2013 Tomasz Torcz <ttorcz@fedoraproject.org> - 0.2.0-1
- new upstream release:
  Changelog:
  * `SYSLOG_IDENTIFIER` is now set from the `syslog_ident` GUC variable, rather
     than process title, which changes. Makes journalctl output prettier.
  * Fix build with PostgreSQL 9.3 and later.
  * Add new fields SCHEMA, TABLE, COLUMN, DATATYPE, CONSTRAINT, introduced in
    PostgreSQL 9.3.

* Sat Oct 13 2012 Tomasz Torcz <ttorcz@fedoraproject.org> - 0.1.1-2
- address review issues:
  - Buildreq: systemd-devel, pkgconfig
  - require PostgreSQL (ver 9.2.0 or later) for libdir/pgsql directory
  - use name macro in Source0
  - drop defattr

* Wed Sep 12 2012 Tomasz Torcz <ttorcz@fedoraproject.org> - 0.1.1-1
- initial package
